package com.caimei365.order.service;

import com.caimei365.order.model.ResponseJson;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/19
 */
public interface OrderClubService {
    /**
     * 机构确认订单
     * @param orderId 订单Id
     */
    ResponseJson<Void> confirmMainOrder(Integer orderId);
    /**
     * 机构取消订单
     * @param orderId 订单Id
     * @param note    备注（订单取消原因）
     */
    ResponseJson<Void> cancelMainOrder(Integer orderId, String remark);
    /**
     * 机构删除订单
     * @param orderId 订单Id
     */
    ResponseJson<Void> deleteMainOrder(Integer orderId);
    /**
     * 机构确认收货
     * @param orderId 订单Id
     */
    ResponseJson<Void> receiveGoods(Integer orderId);
}
